[2026-05-22 19:28:36] Starting news fetch cron.
[2026-05-22 19:28:36] Trying endpoint: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-22&to=2026-05-24&apikey=6STSPYvdu5wHqSe99MbhafATgRyP3yV0
[2026-05-22 19:28:36] Request failed. HTTP=402 ERROR=
[2026-05-22 19:28:36] Trying endpoint: https://financialmodelingprep.com/stable/economic-calendar-full?from=2026-05-22&to=2026-05-24&apikey=6STSPYvdu5wHqSe99MbhafATgRyP3yV0
[2026-05-22 19:28:36] Request failed. HTTP=404 ERROR=
[2026-05-22 19:28:36] No economic calendar data returned.
[2026-05-22 20:08:21] ==============================
[2026-05-22 20:08:21] Starting institutional multi-source news fetch.
[2026-05-22 20:08:21] Running provider: forexfactory
[2026-05-22 20:08:21] ForexFactory parsed 77 events from https://www.forexfactory.com/calendar
[2026-05-22 20:08:21] ForexFactory parsed 55 events from https://www.forexfactory.com/calendar?week=next
[2026-05-22 20:08:21] Provider forexfactory: raw=132, normalized=55, saved=55
[2026-05-22 20:08:21] Running provider: tradingeconomics
[2026-05-22 20:08:21] TradingEconomics API key not configured. Skipping.
[2026-05-22 20:08:21] Provider tradingeconomics: raw=0, normalized=0, saved=0
[2026-05-22 20:08:21] Running provider: fmp
[2026-05-22 20:08:21] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-22&to=2026-05-29&apikey=*** | HTTP=402 | ERROR=
[2026-05-22 20:08:21] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-22&to=2026-05-29&apikey=*** | HTTP=403 | ERROR=
[2026-05-22 20:08:21] Provider fmp: raw=0, normalized=0, saved=0
[2026-05-22 20:08:21] Running provider: rss_macro
[2026-05-22 20:08:21] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-22 20:08:21] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-22 20:08:21] Provider rss_macro: raw=0, normalized=0, saved=0
[2026-05-22 20:08:21] Finished news fetch. Total saved/updated: 55
[2026-05-26 01:21:34] ==============================
[2026-05-26 01:21:34] Starting institutional multi-source news fetch.
[2026-05-26 01:21:35] Running provider: forexfactory
[2026-05-26 01:21:35] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-26 01:21:35] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-26 01:21:35] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-26 01:21:35] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-26 01:21:35] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-26 01:21:35] ForexFactory parsed 96 events from https://www.forexfactory.com/calendar
[2026-05-26 01:21:35] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-26 01:21:35] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-26 01:21:35] ForexFactory parsed 95 events from https://www.forexfactory.com/calendar?week=next
[2026-05-26 01:21:35] Provider forexfactory: raw=191, normalized=184, saved=184
[2026-05-26 01:21:35] Running provider: tradingeconomics
[2026-05-26 01:21:35] TradingEconomics API key not configured. Skipping.
[2026-05-26 01:21:35] Provider tradingeconomics: raw=0, normalized=0, saved=0
[2026-05-26 01:21:35] Running provider: fmp
[2026-05-26 01:21:35] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-26&to=2026-06-02&apikey=*** | HTTP=402 | ERROR=
[2026-05-26 01:21:35] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-26&to=2026-06-02&apikey=*** | HTTP=403 | ERROR=
[2026-05-26 01:21:35] Provider fmp: raw=0, normalized=0, saved=0
[2026-05-26 01:21:35] Running provider: rss_macro
[2026-05-26 01:21:35] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-26 01:21:35] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-26 01:21:35] Provider rss_macro: raw=1, normalized=0, saved=0
[2026-05-26 01:21:35] Finished news fetch. Total saved/updated: 184
[2026-05-27 01:23:00] ==============================
[2026-05-27 01:23:00] Starting institutional multi-source news fetch.
[2026-05-27 01:23:00] Running provider: forexfactory
[2026-05-27 01:23:00] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:23:00] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:23:00] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:23:00] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:23:00] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:23:00] ForexFactory parsed 96 events from https://www.forexfactory.com/calendar
[2026-05-27 01:23:00] ForexFactory parsed 17 events from https://www.forexfactory.com/calendar?day=today
[2026-05-27 01:23:00] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:23:00] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:23:00] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:23:00] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:23:00] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:23:00] ForexFactory parsed 7 events from https://www.forexfactory.com/calendar?day=yesterday
[2026-05-27 01:23:00] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:23:00] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:23:01] ForexFactory parsed 95 events from https://www.forexfactory.com/calendar?week=next
[2026-05-27 01:23:01] Provider forexfactory: raw=215, normalized=175, saved=175
[2026-05-27 01:23:01] Running provider: tradingeconomics
[2026-05-27 01:23:01] TradingEconomics API key not configured. Skipping.
[2026-05-27 01:23:01] Provider tradingeconomics: raw=0, normalized=0, saved=0
[2026-05-27 01:23:01] Running provider: fmp
[2026-05-27 01:23:01] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=402 | ERROR=
[2026-05-27 01:23:01] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=403 | ERROR=
[2026-05-27 01:23:01] Provider fmp: raw=0, normalized=0, saved=0
[2026-05-27 01:23:01] Running provider: rss_macro
[2026-05-27 01:23:01] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 01:23:01] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 01:23:01] Provider rss_macro: raw=1, normalized=1, saved=1
[2026-05-27 01:23:01] Finished news fetch. Total saved/updated: 176
[2026-05-27 01:32:28] ==============================
[2026-05-27 01:32:28] Starting institutional multi-source news fetch.
[2026-05-27 01:32:28] Running provider: forexfactory
[2026-05-27 01:32:28] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:32:28] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:32:28] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:32:28] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:32:28] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:32:28] Provider forexfactory failed: Call to undefined method FetchNewsEventsCron::parseForexFactoryPlainTextCalendar()
[2026-05-27 01:32:28] Running provider: tradingeconomics
[2026-05-27 01:32:28] TradingEconomics API key not configured. Skipping.
[2026-05-27 01:32:28] Provider tradingeconomics: raw=0, normalized=0, saved=0
[2026-05-27 01:32:28] Running provider: fmp
[2026-05-27 01:32:28] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=402 | ERROR=
[2026-05-27 01:32:28] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=403 | ERROR=
[2026-05-27 01:32:28] Provider fmp: raw=0, normalized=0, saved=0
[2026-05-27 01:32:28] Running provider: rss_macro
[2026-05-27 01:32:28] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 01:32:28] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 01:32:28] Provider rss_macro: raw=1, normalized=1, saved=1
[2026-05-27 01:32:28] Finished news fetch. Total saved/updated: 1
[2026-05-27 01:37:24] ==============================
[2026-05-27 01:37:24] Starting institutional multi-source news fetch.
[2026-05-27 01:37:24] Running provider: forexfactory
[2026-05-27 01:37:24] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:37:24] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:37:24] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:37:24] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:37:24] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:37:24] ForexFactory parsed 96 events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_text_actuals=0
[2026-05-27 01:37:24] ForexFactory parsed 17 events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_text_actuals=0
[2026-05-27 01:37:24] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:37:24] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:37:24] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:37:24] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:37:24] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:37:24] ForexFactory parsed 7 events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_text_actuals=0
[2026-05-27 01:37:25] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:37:25] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:37:25] ForexFactory parsed 95 events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_text_actuals=0
[2026-05-27 01:37:25] Provider forexfactory: raw=215, normalized=173, saved=173
[2026-05-27 01:37:25] Running provider: tradingeconomics
[2026-05-27 01:37:25] TradingEconomics API key not configured. Skipping.
[2026-05-27 01:37:25] Provider tradingeconomics: raw=0, normalized=0, saved=0
[2026-05-27 01:37:25] Running provider: fmp
[2026-05-27 01:37:25] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=402 | ERROR=
[2026-05-27 01:37:25] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=403 | ERROR=
[2026-05-27 01:37:25] Provider fmp: raw=0, normalized=0, saved=0
[2026-05-27 01:37:25] Running provider: rss_macro
[2026-05-27 01:37:25] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 01:37:25] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 01:37:25] Provider rss_macro: raw=1, normalized=1, saved=1
[2026-05-27 01:37:25] Finished news fetch. Total saved/updated: 174
[2026-05-27 01:44:29] ==============================
[2026-05-27 01:44:29] Starting institutional multi-source news fetch.
[2026-05-27 01:44:29] Running provider: forexfactory
[2026-05-27 01:44:29] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:44:29] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:44:29] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:44:29] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:44:29] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:44:29] ForexFactory parsed 96 events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_text_actuals=0
[2026-05-27 01:44:29] ForexFactory parsed 17 events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_text_actuals=0
[2026-05-27 01:44:30] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:44:30] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:44:30] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:44:30] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:44:30] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:44:30] ForexFactory parsed 7 events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_text_actuals=0
[2026-05-27 01:44:35] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:44:35] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 01:44:35] ForexFactory parsed 95 events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_text_actuals=0
[2026-05-27 01:44:35] Provider forexfactory: raw=215, normalized=173, saved=173
[2026-05-27 01:44:35] Running provider: tradingeconomics
[2026-05-27 01:44:35] TradingEconomics API key not configured. Skipping.
[2026-05-27 01:44:35] Provider tradingeconomics: raw=0, normalized=0, saved=0
[2026-05-27 01:44:35] Running provider: fmp
[2026-05-27 01:44:35] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=402 | ERROR=
[2026-05-27 01:44:35] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=403 | ERROR=
[2026-05-27 01:44:35] Provider fmp: raw=0, normalized=0, saved=0
[2026-05-27 01:44:35] Running provider: rss_macro
[2026-05-27 01:44:35] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 01:44:35] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 01:44:35] Provider rss_macro: raw=1, normalized=1, saved=1
[2026-05-27 01:44:35] Finished news fetch. Total saved/updated: 174
[2026-05-27 02:44:45] ==============================
[2026-05-27 02:44:45] Starting institutional multi-source news fetch.
[2026-05-27 02:44:45] Running provider: forexfactory
[2026-05-27 02:44:45] ForexFactory file parsed 96 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-27 02:44:45] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-27 02:44:45] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-27 02:44:45] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-27 02:44:45] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-27 02:44:46] ForexFactory file parsed 96 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-27 02:44:46] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-27 02:44:46] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-27 02:44:46] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-27 02:44:46] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-27 02:44:46] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-27 02:44:46] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-27 02:44:46] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-27 02:44:46] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-27 02:44:46] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-27 02:44:46] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-27 02:44:46] ForexFactory calendar files parsed 192 events | actuals=0
[2026-05-27 02:44:46] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 02:44:46] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 02:44:46] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 02:44:46] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 02:44:46] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 02:44:46] ForexFactory parsed 96 events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_text_actuals=0
[2026-05-27 02:44:52] ForexFactory parsed 17 events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_text_actuals=0
[2026-05-27 02:44:52] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 02:44:52] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 02:44:52] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 02:44:52] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 02:44:52] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 02:44:52] ForexFactory parsed 7 events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_text_actuals=0
[2026-05-27 02:44:52] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 02:44:52] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 02:44:52] ForexFactory parsed 95 events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_text_actuals=0
[2026-05-27 02:44:52] Provider forexfactory: raw=407, normalized=337, saved=337, actual_values=0
[2026-05-27 02:44:52] Running provider: tradingeconomics
[2026-05-27 02:44:52] TradingEconomics API key not configured. Skipping.
[2026-05-27 02:44:52] Provider tradingeconomics: raw=0, normalized=0, saved=0, actual_values=0
[2026-05-27 02:44:52] Running provider: fmp
[2026-05-27 02:44:53] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=402 | ERROR=
[2026-05-27 02:44:53] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=403 | ERROR=
[2026-05-27 02:44:53] Provider fmp: raw=0, normalized=0, saved=0, actual_values=0
[2026-05-27 02:44:53] Running provider: rss_macro
[2026-05-27 02:44:53] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 02:44:53] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 02:44:53] Provider rss_macro: raw=0, normalized=0, saved=0, actual_values=0
[2026-05-27 02:44:53] Finished news fetch. Total saved/updated: 337
[2026-05-27 10:27:12] ==============================
[2026-05-27 10:27:12] Starting institutional multi-source news fetch.
[2026-05-27 10:27:12] Running provider: forexfactory
[2026-05-27 10:27:12] ForexFactory file parsed 96 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-27 10:27:12] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-27 10:27:12] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-27 10:27:12] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-27 10:27:12] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-27 10:27:12] ForexFactory file parsed 96 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-27 10:27:13] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-27 10:27:13] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-27 10:27:13] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-27 10:27:13] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-27 10:27:13] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-27 10:27:13] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-27 10:27:13] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-27 10:27:13] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-27 10:27:13] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-27 10:27:13] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-27 10:27:13] ForexFactory calendar files parsed 192 events | actuals=0
[2026-05-27 10:27:14] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:27:14] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:27:14] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:27:14] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:27:14] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:27:14] ForexFactory parsed 96 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-27 10:27:14] ForexFactory parsed 18 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-27 10:27:14] ForexFactory parsed 17 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-27 10:27:14] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:27:14] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:27:14] ForexFactory parsed 95 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-27 10:27:14] Provider forexfactory: raw=418, normalized=313, saved=313, actual_values=0
[2026-05-27 10:27:14] Running provider: tradingeconomics
[2026-05-27 10:27:14] TradingEconomics API key not configured. Skipping.
[2026-05-27 10:27:14] Provider tradingeconomics: raw=0, normalized=0, saved=0, actual_values=0
[2026-05-27 10:27:14] Running provider: fmp
[2026-05-27 10:27:19] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=402 | ERROR=
[2026-05-27 10:27:19] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=403 | ERROR=
[2026-05-27 10:27:19] Provider fmp: raw=0, normalized=0, saved=0, actual_values=0
[2026-05-27 10:27:19] Running provider: rss_macro
[2026-05-27 10:27:20] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 10:27:20] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 10:27:20] Provider rss_macro: raw=0, normalized=0, saved=0, actual_values=0
[2026-05-27 10:27:20] Finished news fetch. Total saved/updated: 313
[2026-05-27 10:40:28] ==============================
[2026-05-27 10:40:28] Starting institutional multi-source news fetch.
[2026-05-27 10:40:28] Running provider: forexfactory
[2026-05-27 10:40:28] ForexFactory file parsed 96 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-27 10:40:28] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-27 10:40:28] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-27 10:40:28] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-27 10:40:28] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-27 10:40:28] ForexFactory file parsed 96 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-27 10:40:28] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-27 10:40:28] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-27 10:40:28] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-27 10:40:28] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-27 10:40:28] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-27 10:40:28] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-27 10:40:28] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-27 10:40:28] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-27 10:40:28] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-27 10:40:28] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-27 10:40:28] ForexFactory calendar files parsed 192 events | actuals=0
[2026-05-27 10:40:29] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:40:29] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:40:29] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:40:29] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:40:29] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:40:29] ForexFactory parsed 96 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-27 10:40:29] ForexFactory parsed 18 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-27 10:40:29] ForexFactory parsed 17 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-27 10:40:29] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:40:29] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-27 10:40:29] ForexFactory parsed 95 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-27 10:40:29] Provider forexfactory: raw=418, normalized=418, saved=418, raw_actual_values=30, actual_values=30
[2026-05-27 10:40:29] Running provider: tradingeconomics
[2026-05-27 10:40:29] TradingEconomics API key not configured. Skipping.
[2026-05-27 10:40:29] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-27 10:40:29] Running provider: fmp
[2026-05-27 10:40:29] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=402 | ERROR=
[2026-05-27 10:40:30] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-27&to=2026-06-03&apikey=*** | HTTP=403 | ERROR=
[2026-05-27 10:40:30] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-27 10:40:30] Running provider: rss_macro
[2026-05-27 10:40:30] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 10:40:30] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-27 10:40:30] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-27 10:40:30] Finished news fetch. Total saved/updated: 418
[2026-05-28 14:58:00] ==============================
[2026-05-28 14:58:00] Starting institutional multi-source news fetch.
[2026-05-28 14:58:00] Running provider: forexfactory
[2026-05-28 14:58:00] ForexFactory file parsed 98 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-28 14:58:01] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-28 14:58:01] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-28 14:58:01] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-28 14:58:01] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-28 14:58:01] ForexFactory file parsed 98 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-28 14:58:01] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-28 14:58:01] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-28 14:58:01] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-28 14:58:01] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-28 14:58:01] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-28 14:58:01] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-28 14:58:01] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-28 14:58:01] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-28 14:58:01] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-28 14:58:01] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-28 14:58:01] ForexFactory calendar files parsed 196 events | actuals=0
[2026-05-28 14:58:02] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 14:58:02] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 14:58:02] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 14:58:02] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 14:58:02] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 14:58:02] ForexFactory parsed 98 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-28 14:58:02] ForexFactory parsed 30 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-28 14:58:02] ForexFactory parsed 18 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-28 14:58:03] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 14:58:03] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 14:58:03] ForexFactory parsed 108 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-28 14:58:03] Provider forexfactory: raw=450, normalized=450, saved=450, raw_actual_values=48, actual_values=48
[2026-05-28 14:58:03] Running provider: tradingeconomics
[2026-05-28 14:58:03] TradingEconomics API key not configured. Skipping.
[2026-05-28 14:58:03] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-28 14:58:03] Running provider: fmp
[2026-05-28 14:58:03] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-28&to=2026-06-04&apikey=*** | HTTP=402 | ERROR=
[2026-05-28 14:58:03] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-28&to=2026-06-04&apikey=*** | HTTP=403 | ERROR=
[2026-05-28 14:58:03] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-28 14:58:03] Running provider: rss_macro
[2026-05-28 14:58:04] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-28 14:58:04] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-28 14:58:04] Provider rss_macro: raw=1, normalized=1, saved=1, raw_actual_values=0, actual_values=0
[2026-05-28 14:58:04] Finished news fetch. Total saved/updated: 451
[2026-05-28 17:52:44] ==============================
[2026-05-28 17:52:44] Starting institutional multi-source news fetch.
[2026-05-28 17:52:44] Running provider: forexfactory
[2026-05-28 17:52:44] ForexFactory file parsed 98 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-28 17:52:44] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-28 17:52:44] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-28 17:52:44] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-28 17:52:44] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-28 17:52:45] ForexFactory file parsed 98 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-28 17:52:45] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-28 17:52:45] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-28 17:52:46] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-28 17:52:46] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-28 17:52:46] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-28 17:52:46] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-28 17:52:46] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-28 17:52:46] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-28 17:52:47] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-28 17:52:47] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-28 17:52:47] ForexFactory calendar files parsed 196 events | actuals=0
[2026-05-28 17:52:47] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 17:52:47] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 17:52:47] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 17:52:47] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 17:52:47] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 17:52:47] ForexFactory parsed 98 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-28 17:52:47] ForexFactory parsed 30 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-28 17:52:47] ForexFactory parsed 18 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-28 17:52:48] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 17:52:48] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-28 17:52:48] ForexFactory parsed 108 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-28 17:52:48] Provider forexfactory: raw=450, normalized=450, saved=450, raw_actual_values=54, actual_values=54
[2026-05-28 17:52:48] Running provider: tradingeconomics
[2026-05-28 17:52:48] TradingEconomics API key not configured. Skipping.
[2026-05-28 17:52:48] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-28 17:52:48] Running provider: fmp
[2026-05-28 17:52:48] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-28&to=2026-06-04&apikey=*** | HTTP=402 | ERROR=
[2026-05-28 17:52:48] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-28&to=2026-06-04&apikey=*** | HTTP=403 | ERROR=
[2026-05-28 17:52:48] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-28 17:52:48] Running provider: rss_macro
[2026-05-28 17:52:49] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-28 17:52:49] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-28 17:52:49] Provider rss_macro: raw=1, normalized=1, saved=1, raw_actual_values=0, actual_values=0
[2026-05-28 17:52:49] Finished news fetch. Total saved/updated: 451
[2026-05-30 00:01:52] ==============================
[2026-05-30 00:01:52] Starting institutional multi-source news fetch.
[2026-05-30 00:01:52] Running provider: forexfactory
[2026-05-30 00:01:52] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 00:01:53] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:01:53] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:01:53] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:01:53] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:01:53] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 00:01:53] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:01:53] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 00:01:53] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:01:53] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 00:01:53] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:01:53] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 00:01:53] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:01:53] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:01:53] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:01:53] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:01:53] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 00:01:54] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:01:54] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:01:54] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:01:54] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:01:54] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:01:54] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:01:54] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:01:54] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:01:54] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:01:54] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:01:54] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:01:55] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 00:01:55] Running provider: tradingeconomics
[2026-05-30 00:01:55] TradingEconomics API key not configured. Skipping.
[2026-05-30 00:01:55] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:01:55] Running provider: fmp
[2026-05-30 00:01:55] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 00:01:55] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 00:01:55] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:01:55] Running provider: rss_macro
[2026-05-30 00:01:55] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:01:55] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:01:55] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:01:55] Finished news fetch. Total saved/updated: 457
[2026-05-30 00:10:03] ==============================
[2026-05-30 00:10:03] Starting institutional multi-source news fetch.
[2026-05-30 00:10:03] Running provider: forexfactory
[2026-05-30 00:10:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 00:10:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:10:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:10:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:10:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:10:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 00:10:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:10:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 00:10:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:10:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 00:10:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:10:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 00:10:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:10:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:10:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:10:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:10:10] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 00:10:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:10:10] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:10:10] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:10:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:10:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:10:10] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:10:10] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:10:10] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:10:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:10:11] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:10:11] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:10:11] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 00:10:11] Running provider: tradingeconomics
[2026-05-30 00:10:11] TradingEconomics API key not configured. Skipping.
[2026-05-30 00:10:11] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:10:11] Running provider: fmp
[2026-05-30 00:10:11] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 00:10:16] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 00:10:16] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:10:16] Running provider: rss_macro
[2026-05-30 00:10:16] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:10:17] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:10:17] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:10:17] Finished news fetch. Total saved/updated: 457
[2026-05-30 00:15:03] ==============================
[2026-05-30 00:15:03] Starting institutional multi-source news fetch.
[2026-05-30 00:15:03] Running provider: forexfactory
[2026-05-30 00:15:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 00:15:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:15:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:15:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:15:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:15:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 00:15:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:15:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 00:15:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:15:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 00:15:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:15:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 00:15:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:15:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:15:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:15:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:15:10] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 00:15:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:15:10] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:15:10] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:15:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:15:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:15:10] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:15:10] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:15:10] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:15:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:15:11] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:15:11] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:15:11] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 00:15:11] Running provider: tradingeconomics
[2026-05-30 00:15:11] TradingEconomics API key not configured. Skipping.
[2026-05-30 00:15:11] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:15:11] Running provider: fmp
[2026-05-30 00:15:11] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 00:15:16] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 00:15:16] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:15:16] Running provider: rss_macro
[2026-05-30 00:15:16] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:15:16] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:15:16] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:15:16] Finished news fetch. Total saved/updated: 457
[2026-05-30 00:20:04] ==============================
[2026-05-30 00:20:04] Starting institutional multi-source news fetch.
[2026-05-30 00:20:04] Running provider: forexfactory
[2026-05-30 00:20:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 00:20:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:20:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:20:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:20:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:20:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 00:20:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:20:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 00:20:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:20:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 00:20:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:20:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 00:20:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:20:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:20:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:20:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:20:05] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 00:20:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:20:05] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:20:05] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:20:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:20:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:20:05] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:20:06] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:20:06] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:20:06] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:20:06] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:20:06] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:20:07] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 00:20:07] Running provider: tradingeconomics
[2026-05-30 00:20:07] TradingEconomics API key not configured. Skipping.
[2026-05-30 00:20:07] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:20:07] Running provider: fmp
[2026-05-30 00:20:12] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 00:20:12] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 00:20:12] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:20:12] Running provider: rss_macro
[2026-05-30 00:20:12] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:20:12] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:20:12] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:20:12] Finished news fetch. Total saved/updated: 457
[2026-05-30 00:25:03] ==============================
[2026-05-30 00:25:03] Starting institutional multi-source news fetch.
[2026-05-30 00:25:03] Running provider: forexfactory
[2026-05-30 00:25:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 00:25:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:25:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:25:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:25:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:25:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 00:25:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:25:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 00:25:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:25:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 00:25:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:25:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 00:25:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:25:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:25:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:25:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:25:04] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 00:25:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:25:04] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:25:04] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:25:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:25:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:25:04] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:25:05] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:25:05] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:25:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:25:05] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:25:05] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:25:05] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 00:25:05] Running provider: tradingeconomics
[2026-05-30 00:25:05] TradingEconomics API key not configured. Skipping.
[2026-05-30 00:25:05] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:25:05] Running provider: fmp
[2026-05-30 00:25:06] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 00:25:06] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 00:25:06] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:25:06] Running provider: rss_macro
[2026-05-30 00:25:06] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:25:06] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:25:06] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:25:06] Finished news fetch. Total saved/updated: 457
[2026-05-30 00:30:03] ==============================
[2026-05-30 00:30:03] Starting institutional multi-source news fetch.
[2026-05-30 00:30:03] Running provider: forexfactory
[2026-05-30 00:30:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 00:30:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:30:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:30:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:30:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:30:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 00:30:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:30:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 00:30:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:30:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 00:30:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:30:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 00:30:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:30:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:30:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:30:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:30:09] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 00:30:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:30:10] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:30:10] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:30:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:30:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:30:10] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:30:10] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:30:10] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:30:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:30:11] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:30:11] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:30:11] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 00:30:11] Running provider: tradingeconomics
[2026-05-30 00:30:11] TradingEconomics API key not configured. Skipping.
[2026-05-30 00:30:11] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:30:11] Running provider: fmp
[2026-05-30 00:30:11] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 00:30:11] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 00:30:11] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:30:11] Running provider: rss_macro
[2026-05-30 00:30:11] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:30:11] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:30:11] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:30:11] Finished news fetch. Total saved/updated: 457
[2026-05-30 00:35:03] ==============================
[2026-05-30 00:35:03] Starting institutional multi-source news fetch.
[2026-05-30 00:35:03] Running provider: forexfactory
[2026-05-30 00:35:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 00:35:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:35:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:35:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:35:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:35:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 00:35:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:35:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 00:35:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:35:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 00:35:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:35:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 00:35:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:35:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:35:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:35:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:35:04] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 00:35:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:35:05] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:35:05] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:35:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:35:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:35:05] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:35:05] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:35:05] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:35:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:35:05] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:35:05] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:35:06] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 00:35:06] Running provider: tradingeconomics
[2026-05-30 00:35:06] TradingEconomics API key not configured. Skipping.
[2026-05-30 00:35:06] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:35:06] Running provider: fmp
[2026-05-30 00:35:06] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 00:35:06] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 00:35:06] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:35:06] Running provider: rss_macro
[2026-05-30 00:35:06] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:35:06] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:35:06] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:35:06] Finished news fetch. Total saved/updated: 457
[2026-05-30 00:40:03] ==============================
[2026-05-30 00:40:03] Starting institutional multi-source news fetch.
[2026-05-30 00:40:04] Running provider: forexfactory
[2026-05-30 00:40:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 00:40:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:40:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:40:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:40:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:40:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 00:40:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:40:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 00:40:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:40:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 00:40:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:40:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 00:40:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:40:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:40:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:40:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:40:04] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 00:40:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:40:05] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:40:05] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:40:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:40:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:40:05] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:40:05] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:40:05] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:40:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:40:05] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:40:05] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:40:06] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 00:40:06] Running provider: tradingeconomics
[2026-05-30 00:40:06] TradingEconomics API key not configured. Skipping.
[2026-05-30 00:40:06] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:40:06] Running provider: fmp
[2026-05-30 00:40:06] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 00:40:06] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 00:40:06] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:40:06] Running provider: rss_macro
[2026-05-30 00:40:06] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:40:06] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:40:06] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:40:06] Finished news fetch. Total saved/updated: 457
[2026-05-30 00:45:03] ==============================
[2026-05-30 00:45:03] Starting institutional multi-source news fetch.
[2026-05-30 00:45:03] Running provider: forexfactory
[2026-05-30 00:45:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 00:45:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:45:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:45:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:45:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:45:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 00:45:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:45:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 00:45:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:45:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 00:45:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:45:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 00:45:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:45:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:45:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:45:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:45:09] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 00:45:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:45:10] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:45:10] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:45:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:45:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:45:10] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:45:10] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:45:10] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:45:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:45:10] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:45:10] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:45:11] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 00:45:11] Running provider: tradingeconomics
[2026-05-30 00:45:11] TradingEconomics API key not configured. Skipping.
[2026-05-30 00:45:11] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:45:11] Running provider: fmp
[2026-05-30 00:45:11] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 00:45:11] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 00:45:11] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:45:11] Running provider: rss_macro
[2026-05-30 00:45:11] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:45:11] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:45:11] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:45:11] Finished news fetch. Total saved/updated: 457
[2026-05-30 00:50:03] ==============================
[2026-05-30 00:50:03] Starting institutional multi-source news fetch.
[2026-05-30 00:50:03] Running provider: forexfactory
[2026-05-30 00:50:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 00:50:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:50:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:50:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:50:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:50:09] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 00:50:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:50:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 00:50:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:50:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 00:50:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:50:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 00:50:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:50:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:50:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:50:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:50:10] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 00:50:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:50:10] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:50:10] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:50:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:50:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:50:10] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:50:10] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:50:10] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:50:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:50:11] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:50:11] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:50:11] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 00:50:11] Running provider: tradingeconomics
[2026-05-30 00:50:11] TradingEconomics API key not configured. Skipping.
[2026-05-30 00:50:11] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:50:11] Running provider: fmp
[2026-05-30 00:50:11] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 00:50:11] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 00:50:11] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:50:11] Running provider: rss_macro
[2026-05-30 00:50:12] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:50:12] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:50:12] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:50:12] Finished news fetch. Total saved/updated: 457
[2026-05-30 00:55:03] ==============================
[2026-05-30 00:55:03] Starting institutional multi-source news fetch.
[2026-05-30 00:55:04] Running provider: forexfactory
[2026-05-30 00:55:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 00:55:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:55:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:55:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 00:55:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:55:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 00:55:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:55:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 00:55:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 00:55:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 00:55:12] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:55:12] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 00:55:12] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:55:12] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 00:55:17] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 00:55:17] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 00:55:17] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 00:55:23] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:55:23] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:55:23] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:55:23] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:55:23] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:55:23] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:55:23] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:55:23] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:55:23] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:55:23] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 00:55:24] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 00:55:24] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 00:55:24] Running provider: tradingeconomics
[2026-05-30 00:55:24] TradingEconomics API key not configured. Skipping.
[2026-05-30 00:55:24] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:55:24] Running provider: fmp
[2026-05-30 00:55:24] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 00:55:24] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-29&to=2026-06-05&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 00:55:24] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:55:24] Running provider: rss_macro
[2026-05-30 00:55:34] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:55:34] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 00:55:34] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 00:55:34] Finished news fetch. Total saved/updated: 457
[2026-05-30 01:00:03] ==============================
[2026-05-30 01:00:03] Starting institutional multi-source news fetch.
[2026-05-30 01:00:03] Running provider: forexfactory
[2026-05-30 01:00:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 01:00:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:00:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:00:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:00:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:00:09] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 01:00:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:00:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 01:00:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:00:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 01:00:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:00:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 01:00:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:00:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:00:15] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:00:15] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:00:15] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 01:00:15] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:00:15] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:00:15] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:00:15] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:00:15] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:00:15] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:00:16] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:00:16] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:00:16] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:00:16] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:00:16] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:00:16] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 01:00:16] Running provider: tradingeconomics
[2026-05-30 01:00:16] TradingEconomics API key not configured. Skipping.
[2026-05-30 01:00:16] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:00:16] Running provider: fmp
[2026-05-30 01:00:17] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 01:00:17] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 01:00:17] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:00:17] Running provider: rss_macro
[2026-05-30 01:00:27] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:00:27] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:00:27] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:00:27] Finished news fetch. Total saved/updated: 457
[2026-05-30 01:05:04] ==============================
[2026-05-30 01:05:04] Starting institutional multi-source news fetch.
[2026-05-30 01:05:04] Running provider: forexfactory
[2026-05-30 01:05:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 01:05:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:05:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:05:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:05:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:05:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 01:05:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:05:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 01:05:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:05:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 01:05:12] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:05:12] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 01:05:18] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:05:18] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:05:23] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:05:23] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:05:23] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 01:05:23] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:05:23] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:05:23] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:05:23] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:05:23] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:05:23] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:05:23] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:05:24] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:05:24] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:05:24] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:05:24] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:05:24] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 01:05:24] Running provider: tradingeconomics
[2026-05-30 01:05:24] TradingEconomics API key not configured. Skipping.
[2026-05-30 01:05:24] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:05:24] Running provider: fmp
[2026-05-30 01:05:29] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 01:05:29] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 01:05:29] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:05:29] Running provider: rss_macro
[2026-05-30 01:05:30] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:05:30] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:05:30] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:05:30] Finished news fetch. Total saved/updated: 457
[2026-05-30 01:10:03] ==============================
[2026-05-30 01:10:03] Starting institutional multi-source news fetch.
[2026-05-30 01:10:03] Running provider: forexfactory
[2026-05-30 01:10:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 01:10:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:10:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:10:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:10:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:10:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 01:10:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:10:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 01:10:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:10:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 01:10:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:10:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 01:10:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:10:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:10:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:10:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:10:04] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 01:10:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:10:05] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:10:05] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:10:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:10:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:10:05] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:10:05] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:10:05] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:10:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:10:05] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:10:05] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:10:06] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 01:10:06] Running provider: tradingeconomics
[2026-05-30 01:10:06] TradingEconomics API key not configured. Skipping.
[2026-05-30 01:10:06] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:10:06] Running provider: fmp
[2026-05-30 01:10:06] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 01:10:06] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 01:10:06] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:10:06] Running provider: rss_macro
[2026-05-30 01:10:06] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:10:06] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:10:06] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:10:06] Finished news fetch. Total saved/updated: 457
[2026-05-30 01:15:03] ==============================
[2026-05-30 01:15:03] Starting institutional multi-source news fetch.
[2026-05-30 01:15:03] Running provider: forexfactory
[2026-05-30 01:15:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 01:15:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:15:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:15:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:15:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:15:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 01:15:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:15:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 01:15:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:15:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 01:15:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:15:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 01:15:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:15:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:15:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:15:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:15:10] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 01:15:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:15:10] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:15:10] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:15:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:15:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:15:10] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:15:10] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:15:10] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:15:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:15:10] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:15:11] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:15:11] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 01:15:11] Running provider: tradingeconomics
[2026-05-30 01:15:11] TradingEconomics API key not configured. Skipping.
[2026-05-30 01:15:11] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:15:11] Running provider: fmp
[2026-05-30 01:15:11] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 01:15:11] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 01:15:11] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:15:11] Running provider: rss_macro
[2026-05-30 01:15:11] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:15:11] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:15:11] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:15:11] Finished news fetch. Total saved/updated: 457
[2026-05-30 01:20:03] ==============================
[2026-05-30 01:20:03] Starting institutional multi-source news fetch.
[2026-05-30 01:20:03] Running provider: forexfactory
[2026-05-30 01:20:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 01:20:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:20:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:20:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:20:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:20:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 01:20:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:20:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 01:20:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:20:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 01:20:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:20:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 01:20:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:20:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:20:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:20:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:20:04] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 01:20:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:20:04] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:20:04] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:20:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:20:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:20:05] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:20:05] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:20:05] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:20:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:20:05] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:20:05] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:20:06] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 01:20:06] Running provider: tradingeconomics
[2026-05-30 01:20:06] TradingEconomics API key not configured. Skipping.
[2026-05-30 01:20:06] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:20:06] Running provider: fmp
[2026-05-30 01:20:06] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 01:20:06] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 01:20:06] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:20:06] Running provider: rss_macro
[2026-05-30 01:20:06] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:20:06] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:20:06] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:20:06] Finished news fetch. Total saved/updated: 457
[2026-05-30 01:25:03] ==============================
[2026-05-30 01:25:03] Starting institutional multi-source news fetch.
[2026-05-30 01:25:03] Running provider: forexfactory
[2026-05-30 01:25:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 01:25:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:25:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:25:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:25:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:25:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 01:25:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:25:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 01:25:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:25:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 01:25:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:25:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 01:25:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:25:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:25:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:25:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:25:04] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 01:25:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:25:04] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:25:04] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:25:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:25:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:25:04] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:25:04] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:25:04] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:25:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:25:05] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:25:05] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:25:05] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 01:25:05] Running provider: tradingeconomics
[2026-05-30 01:25:05] TradingEconomics API key not configured. Skipping.
[2026-05-30 01:25:05] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:25:05] Running provider: fmp
[2026-05-30 01:25:05] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 01:25:05] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 01:25:05] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:25:05] Running provider: rss_macro
[2026-05-30 01:25:10] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:25:10] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:25:10] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:25:10] Finished news fetch. Total saved/updated: 457
[2026-05-30 01:30:04] ==============================
[2026-05-30 01:30:04] Starting institutional multi-source news fetch.
[2026-05-30 01:30:04] Running provider: forexfactory
[2026-05-30 01:30:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 01:30:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:30:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:30:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:30:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:30:09] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 01:30:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:30:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 01:30:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:30:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 01:30:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:30:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 01:30:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:30:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:30:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:30:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:30:10] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 01:30:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:30:10] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:30:10] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:30:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:30:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:30:10] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:30:10] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:30:15] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:30:16] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:30:16] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:30:16] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:30:16] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 01:30:16] Running provider: tradingeconomics
[2026-05-30 01:30:16] TradingEconomics API key not configured. Skipping.
[2026-05-30 01:30:16] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:30:16] Running provider: fmp
[2026-05-30 01:30:16] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 01:30:17] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 01:30:17] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:30:17] Running provider: rss_macro
[2026-05-30 01:30:17] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:30:17] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:30:17] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:30:17] Finished news fetch. Total saved/updated: 457
[2026-05-30 01:35:03] ==============================
[2026-05-30 01:35:03] Starting institutional multi-source news fetch.
[2026-05-30 01:35:03] Running provider: forexfactory
[2026-05-30 01:35:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 01:35:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:35:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:35:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:35:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:35:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 01:35:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:35:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 01:35:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:35:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 01:35:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:35:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 01:35:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:35:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:35:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:35:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:35:04] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 01:35:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:35:04] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:35:04] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:35:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:35:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:35:05] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:35:05] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:35:05] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:35:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:35:05] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:35:05] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:35:06] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 01:35:06] Running provider: tradingeconomics
[2026-05-30 01:35:06] TradingEconomics API key not configured. Skipping.
[2026-05-30 01:35:06] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:35:06] Running provider: fmp
[2026-05-30 01:35:06] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 01:35:06] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 01:35:06] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:35:06] Running provider: rss_macro
[2026-05-30 01:35:06] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:35:06] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:35:06] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:35:06] Finished news fetch. Total saved/updated: 457
[2026-05-30 01:40:03] ==============================
[2026-05-30 01:40:03] Starting institutional multi-source news fetch.
[2026-05-30 01:40:03] Running provider: forexfactory
[2026-05-30 01:40:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 01:40:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:40:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:40:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:40:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:40:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 01:40:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:40:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 01:40:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:40:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 01:40:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:40:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 01:40:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:40:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:40:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:40:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:40:05] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 01:40:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:40:05] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:40:05] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:40:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:40:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:40:05] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:40:05] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:40:05] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:40:06] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:40:06] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:40:06] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:40:06] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 01:40:06] Running provider: tradingeconomics
[2026-05-30 01:40:06] TradingEconomics API key not configured. Skipping.
[2026-05-30 01:40:06] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:40:06] Running provider: fmp
[2026-05-30 01:40:06] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 01:40:06] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 01:40:06] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:40:06] Running provider: rss_macro
[2026-05-30 01:40:07] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:40:07] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:40:07] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:40:07] Finished news fetch. Total saved/updated: 457
[2026-05-30 01:45:04] ==============================
[2026-05-30 01:45:04] Starting institutional multi-source news fetch.
[2026-05-30 01:45:04] Running provider: forexfactory
[2026-05-30 01:45:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 01:45:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:45:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:45:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:45:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:45:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 01:45:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:45:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 01:45:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:45:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 01:45:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:45:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 01:45:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:45:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:45:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:45:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:45:10] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 01:45:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:45:10] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:45:10] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:45:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:45:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:45:10] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:45:10] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:45:10] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:45:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:45:11] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:45:11] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:45:11] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 01:45:11] Running provider: tradingeconomics
[2026-05-30 01:45:11] TradingEconomics API key not configured. Skipping.
[2026-05-30 01:45:11] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:45:11] Running provider: fmp
[2026-05-30 01:45:11] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 01:45:21] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 01:45:21] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:45:21] Running provider: rss_macro
[2026-05-30 01:45:26] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:45:26] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:45:26] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:45:26] Finished news fetch. Total saved/updated: 457
[2026-05-30 01:50:04] ==============================
[2026-05-30 01:50:04] Starting institutional multi-source news fetch.
[2026-05-30 01:50:04] Running provider: forexfactory
[2026-05-30 01:50:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 01:50:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:50:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:50:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:50:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:50:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 01:50:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:50:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 01:50:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:50:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 01:50:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:50:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 01:50:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:50:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:50:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:50:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:50:05] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 01:50:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:50:05] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:50:05] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:50:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:50:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:50:05] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:50:05] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:50:05] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:50:06] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:50:06] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:50:06] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:50:06] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 01:50:06] Running provider: tradingeconomics
[2026-05-30 01:50:06] TradingEconomics API key not configured. Skipping.
[2026-05-30 01:50:06] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:50:06] Running provider: fmp
[2026-05-30 01:50:06] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 01:50:06] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 01:50:06] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:50:06] Running provider: rss_macro
[2026-05-30 01:50:06] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:50:06] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:50:06] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:50:06] Finished news fetch. Total saved/updated: 457
[2026-05-30 01:55:03] ==============================
[2026-05-30 01:55:03] Starting institutional multi-source news fetch.
[2026-05-30 01:55:03] Running provider: forexfactory
[2026-05-30 01:55:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 01:55:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:55:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:55:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 01:55:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:55:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 01:55:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:55:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 01:55:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 01:55:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 01:55:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:55:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 01:55:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:55:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 01:55:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 01:55:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 01:55:04] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 01:55:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:55:04] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:55:04] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:55:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:55:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:55:04] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:55:04] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:55:04] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:55:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:55:05] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 01:55:05] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 01:55:05] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 01:55:05] Running provider: tradingeconomics
[2026-05-30 01:55:05] TradingEconomics API key not configured. Skipping.
[2026-05-30 01:55:05] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:55:05] Running provider: fmp
[2026-05-30 01:55:05] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 01:55:05] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 01:55:05] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:55:05] Running provider: rss_macro
[2026-05-30 01:55:05] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:55:05] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 01:55:05] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 01:55:05] Finished news fetch. Total saved/updated: 457
[2026-05-30 02:00:04] ==============================
[2026-05-30 02:00:04] Starting institutional multi-source news fetch.
[2026-05-30 02:00:04] Running provider: forexfactory
[2026-05-30 02:00:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 02:00:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:00:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:00:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:00:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:00:20] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 02:00:20] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:00:20] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 02:00:20] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:00:20] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 02:00:21] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:00:21] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 02:00:21] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:00:21] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:00:21] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:00:21] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:00:21] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 02:00:21] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:00:21] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:00:21] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:00:21] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:00:21] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:00:21] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:00:21] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:00:21] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:00:21] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:00:21] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:00:21] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:00:22] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 02:00:22] Running provider: tradingeconomics
[2026-05-30 02:00:22] TradingEconomics API key not configured. Skipping.
[2026-05-30 02:00:22] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:00:22] Running provider: fmp
[2026-05-30 02:00:27] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 02:00:32] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 02:00:32] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:00:32] Running provider: rss_macro
[2026-05-30 02:00:33] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:00:33] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:00:33] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:00:33] Finished news fetch. Total saved/updated: 457
[2026-05-30 02:05:03] ==============================
[2026-05-30 02:05:03] Starting institutional multi-source news fetch.
[2026-05-30 02:05:03] Running provider: forexfactory
[2026-05-30 02:05:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 02:05:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:05:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:05:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:05:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:05:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 02:05:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:05:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 02:05:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:05:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 02:05:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:05:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 02:05:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:05:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:05:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:05:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:05:04] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 02:05:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:05:04] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:05:04] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:05:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:05:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:05:04] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:05:05] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:05:05] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:05:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:05:05] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:05:05] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:05:05] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 02:05:05] Running provider: tradingeconomics
[2026-05-30 02:05:05] TradingEconomics API key not configured. Skipping.
[2026-05-30 02:05:05] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:05:05] Running provider: fmp
[2026-05-30 02:05:05] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 02:05:07] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 02:05:07] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:05:07] Running provider: rss_macro
[2026-05-30 02:05:07] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:05:07] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:05:07] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:05:07] Finished news fetch. Total saved/updated: 457
[2026-05-30 02:10:04] ==============================
[2026-05-30 02:10:04] Starting institutional multi-source news fetch.
[2026-05-30 02:10:04] Running provider: forexfactory
[2026-05-30 02:10:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 02:10:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:10:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:10:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:10:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:10:05] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 02:10:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:10:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 02:10:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:10:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 02:10:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:10:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 02:10:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:10:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:10:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:10:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:10:09] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 02:10:09] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:10:09] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:10:09] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:10:09] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:10:09] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:10:09] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:10:10] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:10:10] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:10:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:10:10] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:10:10] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:10:11] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 02:10:11] Running provider: tradingeconomics
[2026-05-30 02:10:11] TradingEconomics API key not configured. Skipping.
[2026-05-30 02:10:11] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:10:11] Running provider: fmp
[2026-05-30 02:10:11] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 02:10:11] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 02:10:11] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:10:11] Running provider: rss_macro
[2026-05-30 02:10:11] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:10:11] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:10:11] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:10:11] Finished news fetch. Total saved/updated: 457
[2026-05-30 02:15:03] ==============================
[2026-05-30 02:15:03] Starting institutional multi-source news fetch.
[2026-05-30 02:15:03] Running provider: forexfactory
[2026-05-30 02:15:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 02:15:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:15:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:15:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:15:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:15:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 02:15:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:15:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 02:15:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:15:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 02:15:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:15:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 02:15:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:15:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:15:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:15:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:15:04] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 02:15:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:15:05] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:15:05] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:15:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:15:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:15:05] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:15:05] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:15:05] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:15:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:15:05] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:15:05] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:15:06] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 02:15:06] Running provider: tradingeconomics
[2026-05-30 02:15:06] TradingEconomics API key not configured. Skipping.
[2026-05-30 02:15:06] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:15:06] Running provider: fmp
[2026-05-30 02:15:06] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 02:15:06] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 02:15:06] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:15:06] Running provider: rss_macro
[2026-05-30 02:15:06] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:15:06] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:15:06] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:15:06] Finished news fetch. Total saved/updated: 457
[2026-05-30 02:20:04] ==============================
[2026-05-30 02:20:04] Starting institutional multi-source news fetch.
[2026-05-30 02:20:04] Running provider: forexfactory
[2026-05-30 02:20:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 02:20:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:20:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:20:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:20:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:20:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 02:20:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:20:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 02:20:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:20:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 02:20:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:20:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 02:20:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:20:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:20:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:20:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:20:05] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 02:20:06] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:20:06] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:20:06] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:20:06] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:20:06] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:20:06] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:20:06] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:20:06] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:20:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:20:11] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:20:11] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:20:12] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 02:20:12] Running provider: tradingeconomics
[2026-05-30 02:20:12] TradingEconomics API key not configured. Skipping.
[2026-05-30 02:20:12] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:20:12] Running provider: fmp
[2026-05-30 02:20:12] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 02:20:12] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 02:20:12] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:20:12] Running provider: rss_macro
[2026-05-30 02:20:12] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:20:12] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:20:12] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:20:12] Finished news fetch. Total saved/updated: 457
[2026-05-30 02:25:04] ==============================
[2026-05-30 02:25:04] Starting institutional multi-source news fetch.
[2026-05-30 02:25:04] Running provider: forexfactory
[2026-05-30 02:25:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 02:25:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:25:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:25:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:25:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:25:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 02:25:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:25:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 02:25:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:25:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 02:25:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:25:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 02:25:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:25:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:25:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:25:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:25:05] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 02:25:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:25:05] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:25:05] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:25:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:25:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:25:05] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:25:06] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:25:06] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:25:06] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:25:06] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:25:06] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:25:06] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 02:25:06] Running provider: tradingeconomics
[2026-05-30 02:25:06] TradingEconomics API key not configured. Skipping.
[2026-05-30 02:25:06] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:25:06] Running provider: fmp
[2026-05-30 02:25:06] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 02:25:07] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 02:25:07] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:25:07] Running provider: rss_macro
[2026-05-30 02:25:07] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:25:12] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:25:12] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:25:12] Finished news fetch. Total saved/updated: 457
[2026-05-30 02:30:03] ==============================
[2026-05-30 02:30:03] Starting institutional multi-source news fetch.
[2026-05-30 02:30:03] Running provider: forexfactory
[2026-05-30 02:30:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 02:30:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:30:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:30:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:30:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:30:09] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 02:30:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:30:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 02:30:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:30:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 02:30:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:30:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 02:30:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:30:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:30:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:30:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:30:09] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 02:30:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:30:10] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:30:10] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:30:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:30:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:30:10] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:30:10] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:30:10] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:30:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:30:10] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:30:11] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:30:11] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 02:30:11] Running provider: tradingeconomics
[2026-05-30 02:30:11] TradingEconomics API key not configured. Skipping.
[2026-05-30 02:30:11] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:30:11] Running provider: fmp
[2026-05-30 02:30:11] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 02:30:11] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 02:30:11] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:30:11] Running provider: rss_macro
[2026-05-30 02:30:11] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:30:11] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:30:11] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:30:11] Finished news fetch. Total saved/updated: 457
[2026-05-30 02:35:03] ==============================
[2026-05-30 02:35:03] Starting institutional multi-source news fetch.
[2026-05-30 02:35:03] Running provider: forexfactory
[2026-05-30 02:35:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 02:35:08] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:35:08] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:35:08] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:35:08] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:35:08] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 02:35:08] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:35:08] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 02:35:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:35:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 02:35:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:35:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 02:35:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:35:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:35:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:35:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:35:09] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 02:35:09] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:35:09] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:35:09] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:35:09] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:35:09] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:35:09] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:35:09] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:35:09] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:35:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:35:10] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:35:10] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:35:10] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 02:35:10] Running provider: tradingeconomics
[2026-05-30 02:35:10] TradingEconomics API key not configured. Skipping.
[2026-05-30 02:35:10] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:35:10] Running provider: fmp
[2026-05-30 02:35:10] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 02:35:10] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 02:35:10] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:35:10] Running provider: rss_macro
[2026-05-30 02:35:11] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:35:11] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:35:11] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:35:11] Finished news fetch. Total saved/updated: 457
[2026-05-30 02:40:03] ==============================
[2026-05-30 02:40:03] Starting institutional multi-source news fetch.
[2026-05-30 02:40:03] Running provider: forexfactory
[2026-05-30 02:40:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 02:40:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:40:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:40:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:40:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:40:09] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 02:40:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:40:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 02:40:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:40:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 02:40:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:40:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 02:40:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:40:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:40:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:40:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:40:10] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 02:40:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:40:10] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:40:10] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:40:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:40:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:40:10] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:40:10] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:40:11] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:40:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:40:11] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:40:11] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:40:11] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 02:40:11] Running provider: tradingeconomics
[2026-05-30 02:40:11] TradingEconomics API key not configured. Skipping.
[2026-05-30 02:40:11] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:40:11] Running provider: fmp
[2026-05-30 02:40:11] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 02:40:11] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 02:40:11] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:40:11] Running provider: rss_macro
[2026-05-30 02:40:11] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:40:11] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:40:11] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:40:11] Finished news fetch. Total saved/updated: 457
[2026-05-30 02:45:03] ==============================
[2026-05-30 02:45:03] Starting institutional multi-source news fetch.
[2026-05-30 02:45:03] Running provider: forexfactory
[2026-05-30 02:45:08] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 02:45:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:45:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:45:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:45:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:45:09] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 02:45:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:45:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 02:45:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:45:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 02:45:15] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:45:15] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 02:45:15] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:45:15] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:45:15] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:45:15] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:45:15] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 02:45:15] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:45:15] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:45:15] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:45:15] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:45:15] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:45:15] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:45:15] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:45:16] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:45:16] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:45:16] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:45:16] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:45:16] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 02:45:16] Running provider: tradingeconomics
[2026-05-30 02:45:16] TradingEconomics API key not configured. Skipping.
[2026-05-30 02:45:16] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:45:16] Running provider: fmp
[2026-05-30 02:45:16] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 02:45:16] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 02:45:16] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:45:16] Running provider: rss_macro
[2026-05-30 02:45:17] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:45:17] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:45:17] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:45:17] Finished news fetch. Total saved/updated: 457
[2026-05-30 02:50:03] ==============================
[2026-05-30 02:50:03] Starting institutional multi-source news fetch.
[2026-05-30 02:50:03] Running provider: forexfactory
[2026-05-30 02:50:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 02:50:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:50:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:50:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:50:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:50:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 02:50:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:50:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 02:50:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:50:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 02:50:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:50:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 02:50:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:50:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:50:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:50:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:50:04] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 02:50:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:50:04] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:50:04] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:50:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:50:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:50:04] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:50:04] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:50:05] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:50:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:50:05] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:50:05] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:50:06] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 02:50:06] Running provider: tradingeconomics
[2026-05-30 02:50:06] TradingEconomics API key not configured. Skipping.
[2026-05-30 02:50:06] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:50:06] Running provider: fmp
[2026-05-30 02:50:06] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 02:50:06] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 02:50:06] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:50:06] Running provider: rss_macro
[2026-05-30 02:50:06] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:50:06] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:50:06] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:50:06] Finished news fetch. Total saved/updated: 457
[2026-05-30 02:55:03] ==============================
[2026-05-30 02:55:03] Starting institutional multi-source news fetch.
[2026-05-30 02:55:03] Running provider: forexfactory
[2026-05-30 02:55:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 02:55:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:55:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:55:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 02:55:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:55:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 02:55:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:55:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 02:55:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 02:55:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 02:55:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:55:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 02:55:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:55:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 02:55:04] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 02:55:04] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 02:55:04] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 02:55:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:55:04] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:55:04] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:55:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:55:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:55:04] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:55:04] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:55:05] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:55:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:55:05] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 02:55:05] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 02:55:05] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 02:55:05] Running provider: tradingeconomics
[2026-05-30 02:55:05] TradingEconomics API key not configured. Skipping.
[2026-05-30 02:55:05] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:55:05] Running provider: fmp
[2026-05-30 02:55:05] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 02:55:05] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 02:55:05] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:55:05] Running provider: rss_macro
[2026-05-30 02:55:11] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:55:11] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 02:55:11] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 02:55:11] Finished news fetch. Total saved/updated: 457
[2026-05-30 03:00:04] ==============================
[2026-05-30 03:00:04] Starting institutional multi-source news fetch.
[2026-05-30 03:00:04] Running provider: forexfactory
[2026-05-30 03:00:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 03:00:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:00:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:00:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:00:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:00:10] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 03:00:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:00:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 03:00:10] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:00:10] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 03:00:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:00:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 03:00:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:00:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:00:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:00:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:00:10] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 03:00:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:00:11] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:00:11] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:00:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:00:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:00:11] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:00:11] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:00:11] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:00:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:00:11] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:00:12] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:00:12] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 03:00:12] Running provider: tradingeconomics
[2026-05-30 03:00:12] TradingEconomics API key not configured. Skipping.
[2026-05-30 03:00:12] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:00:12] Running provider: fmp
[2026-05-30 03:00:12] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 03:00:12] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 03:00:12] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:00:12] Running provider: rss_macro
[2026-05-30 03:00:12] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:00:12] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:00:12] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:00:12] Finished news fetch. Total saved/updated: 457
[2026-05-30 03:05:03] ==============================
[2026-05-30 03:05:03] Starting institutional multi-source news fetch.
[2026-05-30 03:05:03] Running provider: forexfactory
[2026-05-30 03:05:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 03:05:08] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:05:08] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:05:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:05:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:05:09] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 03:05:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:05:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 03:05:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:05:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 03:05:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:05:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 03:05:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:05:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:05:10] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:05:10] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:05:10] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 03:05:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:05:10] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:05:10] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:05:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:05:10] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:05:10] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:05:10] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:05:10] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:05:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:05:11] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:05:11] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:05:11] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 03:05:11] Running provider: tradingeconomics
[2026-05-30 03:05:11] TradingEconomics API key not configured. Skipping.
[2026-05-30 03:05:11] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:05:11] Running provider: fmp
[2026-05-30 03:05:11] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 03:05:11] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 03:05:11] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:05:11] Running provider: rss_macro
[2026-05-30 03:05:12] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:05:12] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:05:12] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:05:12] Finished news fetch. Total saved/updated: 457
[2026-05-30 03:10:04] ==============================
[2026-05-30 03:10:04] Starting institutional multi-source news fetch.
[2026-05-30 03:10:04] Running provider: forexfactory
[2026-05-30 03:10:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 03:10:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:10:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:10:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:10:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:10:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 03:10:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:10:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 03:10:11] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:10:11] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 03:10:11] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:10:11] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 03:10:11] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:10:11] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:10:11] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:10:11] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:10:11] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 03:10:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:10:11] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:10:11] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:10:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:10:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:10:11] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:10:12] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:10:12] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:10:12] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:10:12] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:10:12] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:10:13] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 03:10:13] Running provider: tradingeconomics
[2026-05-30 03:10:13] TradingEconomics API key not configured. Skipping.
[2026-05-30 03:10:13] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:10:13] Running provider: fmp
[2026-05-30 03:10:13] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 03:10:13] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 03:10:13] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:10:13] Running provider: rss_macro
[2026-05-30 03:10:13] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:10:13] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:10:13] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:10:13] Finished news fetch. Total saved/updated: 457
[2026-05-30 03:15:04] ==============================
[2026-05-30 03:15:04] Starting institutional multi-source news fetch.
[2026-05-30 03:15:04] Running provider: forexfactory
[2026-05-30 03:15:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 03:15:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:15:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:15:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:15:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:15:05] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 03:15:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:15:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 03:15:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:15:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 03:15:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:15:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 03:15:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:15:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:15:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:15:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:15:05] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 03:15:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:15:05] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:15:05] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:15:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:15:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:15:06] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:15:06] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:15:06] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:15:06] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:15:06] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:15:07] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:15:07] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 03:15:07] Running provider: tradingeconomics
[2026-05-30 03:15:07] TradingEconomics API key not configured. Skipping.
[2026-05-30 03:15:07] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:15:07] Running provider: fmp
[2026-05-30 03:15:07] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 03:15:07] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 03:15:07] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:15:07] Running provider: rss_macro
[2026-05-30 03:15:07] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:15:07] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:15:07] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:15:07] Finished news fetch. Total saved/updated: 457
[2026-05-30 03:20:03] ==============================
[2026-05-30 03:20:03] Starting institutional multi-source news fetch.
[2026-05-30 03:20:03] Running provider: forexfactory
[2026-05-30 03:20:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 03:20:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:20:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:20:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:20:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:20:04] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 03:20:04] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:20:04] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 03:20:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:20:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 03:20:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:20:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 03:20:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:20:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:20:05] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:20:05] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:20:05] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 03:20:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:20:05] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:20:05] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:20:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:20:05] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:20:05] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:20:05] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:20:10] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:20:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:20:11] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:20:11] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:20:11] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 03:20:11] Running provider: tradingeconomics
[2026-05-30 03:20:11] TradingEconomics API key not configured. Skipping.
[2026-05-30 03:20:11] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:20:11] Running provider: fmp
[2026-05-30 03:20:11] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 03:20:11] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 03:20:11] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:20:11] Running provider: rss_macro
[2026-05-30 03:20:12] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:20:12] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:20:12] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:20:12] Finished news fetch. Total saved/updated: 457
[2026-05-30 03:25:03] ==============================
[2026-05-30 03:25:03] Starting institutional multi-source news fetch.
[2026-05-30 03:25:03] Running provider: forexfactory
[2026-05-30 03:25:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 03:25:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:25:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:25:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:25:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:25:03] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 03:25:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:25:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 03:25:03] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:25:03] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 03:25:03] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:25:03] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 03:25:03] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:25:03] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:25:03] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:25:03] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:25:03] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 03:25:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:25:04] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:25:04] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:25:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:25:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:25:04] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:25:04] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:25:04] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:25:04] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:25:04] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:25:04] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:25:05] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 03:25:05] Running provider: tradingeconomics
[2026-05-30 03:25:05] TradingEconomics API key not configured. Skipping.
[2026-05-30 03:25:05] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:25:05] Running provider: fmp
[2026-05-30 03:25:05] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 03:25:05] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 03:25:05] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:25:05] Running provider: rss_macro
[2026-05-30 03:25:05] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:25:05] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:25:05] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:25:05] Finished news fetch. Total saved/updated: 457
[2026-05-30 03:30:04] ==============================
[2026-05-30 03:30:04] Starting institutional multi-source news fetch.
[2026-05-30 03:30:04] Running provider: forexfactory
[2026-05-30 03:30:05] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 03:30:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:30:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:30:05] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:30:05] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:30:10] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 03:30:11] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:30:11] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 03:30:11] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:30:11] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 03:30:11] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:30:11] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 03:30:11] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:30:11] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:30:11] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:30:11] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:30:11] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 03:30:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:30:11] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:30:11] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:30:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:30:11] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:30:11] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:30:11] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:30:12] ForexFactory parsed 29 DOM events from https://www.forexfactory.com/calendar?day=yesterday | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:30:12] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:30:12] ForexFactory impact metadata not found for event "Italian Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:30:12] ForexFactory parsed 114 DOM events from https://www.forexfactory.com/calendar?week=next | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:30:12] Provider forexfactory: raw=457, normalized=457, saved=457, raw_actual_values=91, actual_values=91
[2026-05-30 03:30:12] Running provider: tradingeconomics
[2026-05-30 03:30:12] TradingEconomics API key not configured. Skipping.
[2026-05-30 03:30:12] Provider tradingeconomics: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:30:12] Running provider: fmp
[2026-05-30 03:30:12] HTTP GET failed: https://financialmodelingprep.com/stable/economic-calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=402 | ERROR=
[2026-05-30 03:30:12] HTTP GET failed: https://financialmodelingprep.com/api/v3/economic_calendar?from=2026-05-30&to=2026-06-06&apikey=*** | HTTP=403 | ERROR=
[2026-05-30 03:30:12] Provider fmp: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:30:12] Running provider: rss_macro
[2026-05-30 03:30:13] HTTP GET failed: https://feeds.reuters.com/reuters/businessNews | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:30:13] HTTP GET failed: https://feeds.reuters.com/news/economy | HTTP=0 | ERROR=Could not resolve host: feeds.reuters.com
[2026-05-30 03:30:13] Provider rss_macro: raw=0, normalized=0, saved=0, raw_actual_values=0, actual_values=0
[2026-05-30 03:30:13] Finished news fetch. Total saved/updated: 457
[2026-05-30 03:35:03] ==============================
[2026-05-30 03:35:03] Starting institutional multi-source news fetch.
[2026-05-30 03:35:03] Running provider: forexfactory
[2026-05-30 03:35:08] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.xml | actuals=0
[2026-05-30 03:35:08] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:35:08] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:35:08] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=404 | ERROR=
[2026-05-30 03:35:08] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:35:08] ForexFactory file parsed 97 events from https://nfs.faireconomy.media/ff_calendar_thisweek.csv | actuals=0
[2026-05-30 03:35:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_nextweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:35:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_nextweek.csv
[2026-05-30 03:35:09] HTTP GET failed: https://nfs.faireconomy.media/ff_calendar_lastweek.csv | HTTP=404 | ERROR=
[2026-05-30 03:35:09] ForexFactory calendar file returned empty response: https://nfs.faireconomy.media/ff_calendar_lastweek.csv
[2026-05-30 03:35:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:35:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_thisweek.xml
[2026-05-30 03:35:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:35:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_nextweek.xml
[2026-05-30 03:35:09] HTTP GET failed: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml | HTTP=0 | ERROR=Could not resolve host: cdn-nfs.faireconomy.media
[2026-05-30 03:35:09] ForexFactory calendar file returned empty response: https://cdn-nfs.faireconomy.media/ff_calendar_lastweek.xml
[2026-05-30 03:35:09] ForexFactory calendar files parsed 194 events | actuals=0
[2026-05-30 03:35:09] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:35:09] ForexFactory impact metadata not found for event "French Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:35:09] ForexFactory impact metadata not found for event "German Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:35:09] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:35:09] ForexFactory impact metadata not found for event "Bank Holiday". Stored as LOW pending parser review.
[2026-05-30 03:35:09] ForexFactory parsed 97 DOM events from https://www.forexfactory.com/calendar | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
[2026-05-30 03:35:09] ForexFactory parsed 23 DOM events from https://www.forexfactory.com/calendar?day=today | plain_text_rows=0 | plain_standalone=0 | plain_text_actuals=0
